Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class JimiImageSerializer

    java.lang.Object
      |
      +--com.sun.jimi.core.util.JimiImageSerializer

public class JimiImageSerializer
extends java.lang.Object
implements java.io.Externalizable

A Serializable wrapper for Images. JimiSerializers hold a reference to an `Image`, not necessarily created with JIMI, and acts as a Serializable container for it.

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `DEFAULT_ENCODING`
`protected java.awt.Image` | `image_` The image to serialize

Constructor Summary
`JimiImageSerializer()` Constructs a JimiImageSerializer.
`JimiImageSerializer(java.awt.Image image)` Constructs a JimiImageSerializer for a given image, using a default encoding scheme.

Method Summary
`java.awt.Image` | `getImage()` Returns the `Image` being serialized.
`void` | `readExternal(java.io.ObjectInput in)` Extenalization support, should not be invoked directly.
`void` | `setImage(java.awt.Image image)` Set the source image to serialize.
`void` | `writeExternal(java.io.ObjectOutput out)` Extenalization support, should not be invoked directly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    protected static final java.lang.String DEFAULT_ENCODING

### image_

    protected transient java.awt.Image image_

  The image to serialize

Constructor Detail

### JimiImageSerializer

    public JimiImageSerializer()

  Constructs a JimiImageSerializer. `setImage` must be called to set the image to serialize.

### JimiImageSerializer

    public JimiImageSerializer(java.awt.Image image)

  Constructs a JimiImageSerializer for a given image, using a default encoding scheme.
  Parameters:
    `image` - the image to serialize

Method Detail

### getImage

    public java.awt.Image getImage()

  Returns the `Image` being serialized.
  Returns:
    the image

### setImage

    public void setImage(java.awt.Image image)

  Set the source image to serialize.
  Parameters:
    `image` - the image to serialize

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Extenalization support, should not be invoked directly.
  Specified by:
    writeExternal in interface java.io.Externalizable

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException

  Extenalization support, should not be invoked directly.
  Specified by:
    readExternal in interface java.io.Externalizable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD